Bug 740979 - User with only "Organizations:Sync Products" permissions cannot see these products w/o Org rights.
Summary: User with only "Organizations:Sync Products" permissions cannot see these pro...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: WebUI
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks: katello-blockers
TreeView+ depends on / blocked
 
Reported: 2011-09-24 02:09 UTC by Corey Welton
Modified: 2013-03-27 20:54 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-22 17:58:24 UTC


Attachments (Terms of Use)

Description Corey Welton 2011-09-24 02:09:58 UTC
Description of problem:
I'm not sure about this bug either, but I found the wiki confusing. If I create a role with only Sync Product verb from Organizations as a permission, and assign it to a user, the user can access the menu but does not have access to the provider(s) and as such, does not have access to the products for sync.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  create user syncstatus
2.  create new role, syncstatus_role
3.  create new permission in this role, Organizations:Sync Products
4.  Assign user syncstatus to this role
5. login with user syncstatus and navigate to sync menu
  
Actual results:
User cannot see any products. Upon further investigation, user cannot see providers either, which is probably why s/he cannot see products. 

That said, I don't find the wiki illuminating:
https://fedorahosted.org/katello/wiki/PermissionMatrix

There are many options in there for Sync-capabilities, but I only see one verb across all Permission sets for Sync - the one listed above.  I'm not sure I see a fine-grained way to provide all those different sync capabilities. 


Expected results:
Not sure.... if what i think the behavior should be is actually what it should be :P

Additional info:

Comment 2 Corey Welton 2011-10-25 03:43:24 UTC
QA Verified.


Note You need to log in before you can comment on or make changes to this bug.